---
title: ScrollToOptions.top
slug: Web/API/ScrollToOptions/top
tags:
  - API
  - Property
  - Reference
  - ScrollToOptions
  - top
---
<p>{{ APIRef("CSSOM View") }}</p>

<div>
<p>The <strong><code>top</code></strong> property of the {{ domxref("ScrollToOptions") }} dictionary specifies the number of pixels along the Y axis to scroll the window or element.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">top: <em>double</em></pre>

<h3 id="Value">Value</h3>

<p>A double.</p>

<h2 id="Examples">Examples</h2>

<p>{{page("/en-US/docs/Web/API/ScrollToOptions","Examples")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<tbody>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
		<tr>
			<td>{{SpecName('CSSOM View', '#dom-scrolltooptions-top', 'top')}}</td>
			<td>{{Spec2('CSSOM View')}}</td>
			<td> </td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.ScrollToOptions.top")}}</p>
</div>

<h2 id="See_also">See also</h2>

<p>{{domxref("ScrollToOptions")}}</p>
